#
# spec file for package gnome-calculator
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-calculator
Version:        3.9.4
Release:        0
Summary:        A GNOME Calculator Application
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gnome-calculator/3.9/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0) >= 2.31
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libxml-2.0)
Recommends:     %{name}-lang
# gcactool was renamed to gnome-calculator. Last known version was 6.6.2
Obsoletes:      gcalctool <= 6.6.2
# gcalctool-lang package should be obsoleted, obviously by the -lang package, but that's not possible.
# So for an easy upgrade path, we obsolete it in the main package.
Obsoletes:      gcalctool-lang <= 6.6.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
A GNOME calculator package based on calctool and MP library.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file gcalctool Calculator
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%doc %{_mandir}/man?/*.*

%files lang -f %{name}.lang

%changelog
